Skip to content
Follow yggy on LinkedInFollow @yggy_tech on X

The achievement catalog merged with the caller's progress

GET
/api/v1/achievements
curl --request GET \
--url https://api.yggy.tech/api/v1/achievements \
--header 'Authorization: Bearer <token>'
host
string | null
x-yggy-organization-id
string | null

Catalog with progress

Media type application/json
object
achievements
required
Array<object>
object
id
required
string
family
required
string
Allowed values: adoption chain exotic
chain
string
step
integer
rarity
required
string
Allowed values: common rare epic legendary exotic
threshold
required
number
counter
required
string
value
required
number
earnedAt
required
string | null
Example
{
"achievements": [
{
"family": "adoption",
"rarity": "common"
}
]
}

Achievements are not enabled for this organization